INCLUDES = -I$(top_srcdir) -I$(top_builddir) \
           -I$(top_builddir)/kaddressbook/common \
           -I$(top_srcdir)/kaddressbook/common \
             $(all_includes)

kde_module_LTLIBRARIES = kcal_tdeabc.la

kcal_tdeabc_la_SOURCES = resourcetdeabc.cpp resourcetdeabcconfig.cpp
kcal_tdeabc_la_LDFLAGS = $(all_libraries) -module $(KDE_PLUGIN)
kcal_tdeabc_la_LIBADD  = $(top_builddir)/libkcal/libkcal.la \
                       $(top_builddir)/kaddressbook/common/libkabcommon.la

libkcalincludedir = $(includedir)/libkcal
libkcalinclude_HEADERS = resourcetdeabc.h resourcetdeabcconfig.h

servicedir = $(kde_servicesdir)/tderesources/kcal
service_DATA = tdeabc.desktop

METASOURCES = AUTO

messages: rc.cpp
	$(XGETTEXT) *.cpp -o $(podir)/kres_birthday.pot

resourcetdeabcconfig.lo: ../../kaddressbook/common/kabprefs_base.h
